Get Boosted Source details
curl --request GET \
--url https://auto.boost.api/v1/boosted-pages/source-detail/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://auto.boost.api/v1/boosted-pages/source-detail/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://auto.boost.api/v1/boosted-pages/source-detail/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"active": "1",
"page_id": "123456789",
"instagram_id": "123456789",
"preset_id": "123456789",
"campaign_budget_type": "daily",
"campaign_budget_value": "10",
"adset_budget_sharing_enabled": false,
"campaign_bid_strategy_enabled": false,
"campaign_bid_strategy": "LOWEST_COST_WITHOUT_CAP",
"campaign_bid_amount": "1.50",
"goal": "POST_ENGAGEMENT",
"audience_targeting": {},
"hashtag": "<string>",
"page": {
"id": 123,
"name": "<string>",
"picture": "<string>"
},
"instagram": {
"id": 123,
"name": "<string>",
"picture": "<string>"
},
"preset": {}
}API Reference
Get Boosted Source details
GET
/
boosted-pages
/
source-detail
/
{id}
Get Boosted Source details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
11
Response
200 - application/json
Returns Boosted Page Object
Example:
"1"
Example:
"123456789"
Example:
"123456789"
Example:
"123456789"
Available options:
daily, lifetime Example:
"10"
Example:
false
Example:
false
Available options:
LOWEST_COST_WITHOUT_CAP, COST_CAP, LOWEST_COST_WITH_BID_CAP Example:
"1.50"
Available options:
POST_ENGAGEMENT, LINK_CLICKS, CONVERSIONS, REACH, BRAND_AWARENESS, APP_INSTALLS, VIDEO_VIEWS Show child attributes
Show child attributes
Show child attributes
Show child attributes